function addContinueButtonOnPWResetSuccess() {
  let targetNode = document.getElementById('firebaseui-auth-container');

  // Options for the observer (which mutations to observe)
  let config = { childList: true };

  // Callback function to execute when reset success screen is observed
  let callback = function(mutationsList) {
    for(var mutation of mutationsList) {
      if (mutation.type == 'childList') {
        let mutatedNode = mutation.addedNodes[0]

        if (mutatedNode && mutatedNode.className.includes("firebaseui-id-page-password-reset-success")) {
          console.log('On password reset success screen.');
          let actionButtons = document.querySelector(".firebaseui-card-actions")

          actionButtons.innerHTML = `
            <button id='goto-login' type="submit" class="firebaseui-id-submit firebaseui-button mdl-button mdl-js-button mdl-button--raised mdl-button--colored" data-upgraded=",MaterialButton">
              <a href='http://${currentHost}/auth.html'>
                Continue
              </a>
            </button>
          `
        }
      }
    }
  };

  // Create an observer instance linked to the callback function
  let observer = new MutationObserver(callback);

  // Start observing the target node for configured mutations
  observer.observe(targetNode, config);

  // Later, you can stop observing
  // if (!targetNode) remove listener? Or, also onClick on continue button
  // observer.disconnect();
}
